package domain

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaWdkSupplierOrderListSupplierOrderQueryRequest struct {
	/*
	   订单来源，4：盒马，3：饿了么     */
	OrderFrom *int64 `json:"order_from,omitempty" `

	/*
	   经营店id     */
	StoreId *string `json:"store_id,omitempty" `

	/*
	   实际售卖商家code     */
	SourceMerchantCode *string `json:"source_merchant_code,omitempty" `

	/*
	   结束时间     */
	EndTime *util.LocalTime `json:"end_time,omitempty" `

	/*
	   开始时间     */
	StartTime *util.LocalTime `json:"start_time,omitempty" `

	/*
	   分页页码，从0开始     */
	PageIndex *int64 `json:"page_index,omitempty" `

	/*
	   分页大小，默认200     */
	PageSize *int64 `json:"page_size,omitempty" `

	/*
	   下单终端: APP 、POS     */
	OrderClient *string `json:"order_client,omitempty" `

	/*
	   订单状态: PAID / PACAKAGED / SUCCESS     */
	OrderStatus *[]string `json:"order_status,omitempty" `

	/*
	   渠道店id     */
	ShopId *string `json:"shop_id,omitempty" `
}

func (s *AlibabaWdkSupplierOrderListSupplierOrderQueryRequest) SetOrderFrom(v int64) *AlibabaWdkSupplierOrderListSupplierOrderQueryRequest {
	s.OrderFrom = &v
	return s
}
func (s *AlibabaWdkSupplierOrderListSupplierOrderQueryRequest) SetStoreId(v string) *AlibabaWdkSupplierOrderListSupplierOrderQueryRequest {
	s.StoreId = &v
	return s
}
func (s *AlibabaWdkSupplierOrderListSupplierOrderQueryRequest) SetSourceMerchantCode(v string) *AlibabaWdkSupplierOrderListSupplierOrderQueryRequest {
	s.SourceMerchantCode = &v
	return s
}
func (s *AlibabaWdkSupplierOrderListSupplierOrderQueryRequest) SetEndTime(v util.LocalTime) *AlibabaWdkSupplierOrderListSupplierOrderQueryRequest {
	s.EndTime = &v
	return s
}
func (s *AlibabaWdkSupplierOrderListSupplierOrderQueryRequest) SetStartTime(v util.LocalTime) *AlibabaWdkSupplierOrderListSupplierOrderQueryRequest {
	s.StartTime = &v
	return s
}
func (s *AlibabaWdkSupplierOrderListSupplierOrderQueryRequest) SetPageIndex(v int64) *AlibabaWdkSupplierOrderListSupplierOrderQueryRequest {
	s.PageIndex = &v
	return s
}
func (s *AlibabaWdkSupplierOrderListSupplierOrderQueryRequest) SetPageSize(v int64) *AlibabaWdkSupplierOrderListSupplierOrderQueryRequest {
	s.PageSize = &v
	return s
}
func (s *AlibabaWdkSupplierOrderListSupplierOrderQueryRequest) SetOrderClient(v string) *AlibabaWdkSupplierOrderListSupplierOrderQueryRequest {
	s.OrderClient = &v
	return s
}
func (s *AlibabaWdkSupplierOrderListSupplierOrderQueryRequest) SetOrderStatus(v []string) *AlibabaWdkSupplierOrderListSupplierOrderQueryRequest {
	s.OrderStatus = &v
	return s
}
func (s *AlibabaWdkSupplierOrderListSupplierOrderQueryRequest) SetShopId(v string) *AlibabaWdkSupplierOrderListSupplierOrderQueryRequest {
	s.ShopId = &v
	return s
}
